## ddcci-driver-linux 0.2

=== Makefile ===
#!/usr/bin/make -f
# (c) 2015 Christoph Grenz <christophg@grenz-bonn.de>
# This file is part of ddcci-bus-linux.
#
# ddcci-bus-linux is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# ddcci-bus-linux is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ddcci-bus-linux. If not, see <http://www.gnu.org/licenses/>.

MODULES := ddcci ddcci-backlight

reverse = $(if $(1),$(call reverse,$(wordlist 2,$(words $(1)),$(1)))) $(firstword $(1))
REVMODS := $(call reverse,$(MODULES))

all: $(MODULES)

$(MODULES):
	$(MAKE) -C "$@"

CLEANMODS := $(addprefix clean-,$(MODULES))
$(CLEANMODS):
	$(MAKE) -C "$(subst clean-,,$@)" clean
clean: $(CLEANMODS)

LOADMODS := $(addprefix load-,$(MODULES))
$(LOADMODS):
	$(MAKE) -C "$(subst load-,,$@)" load
load: $(LOADMODS)

UNLOADMODS := $(addprefix unload-,$(REVMODS))
$(UNLOADMODS):
	$(MAKE) -C "$(subst unload-,,$@)" unload
unload: $(UNLOADMODS)

INSTALLMODS := $(addprefix install-,$(MODULES))
$(INSTALLMODS):
	$(MAKE) -C "$(subst install-,,$@)" install
install: $(INSTALLMODS)

UNINSTALLMODS := $(addprefix uninstall-,$(REVMODS))
$(UNINSTALLMODS):
	$(MAKE) -C "$(subst uninstall-,,$@)" uninstall
uninstall: $(UNINSTALLMODS)

.PHONY: all clean $(MODULES) $(CLEANMODS) $(LOADMODS) $(UNLOADMODS) $(INSTALLMODS) $(UNINSTALLMODS)

=== ddcci-backlight/Makefile ===
#!/usr/bin/make -f
# (c) 2015 Christoph Grenz <christophg@grenz-bonn.de>
# This file is part of ddcci-bus-linux.
#
# ddcci-bus-linux is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# ddcci-bus-linux is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ddcci-bus-linux.  If not, see <http://www.gnu.org/licenses/>.

MODULE_NAME := ddcci-backlight
MODULE_VERSION := 0.2

KVER := $(shell uname -r)
KERNEL_MODLIB := /lib/modules/$(KVER)
MODDIR := $(KERNEL_MODLIB)/extra
KDIR := /lib/modules/$(KVER)/build
PWD := $(shell pwd)

obj-m := ddcci-backlight.o
src ?= $(PWD)
obj ?= .
ccflags-y := -I$(src)/../include

KBUILD_EXTRA_SYMBOLS := $(src)/../ddcci/Module.symvers

module: ddcci-backlight.ko

ddcci-backlight.ko: ddcci-backlight.c
	$(MAKE) -C "$(KDIR)" SUBDIRS="$(src)" modules

ddcci-backlight.mod.c: ddcci-backlight.ko
ddcci-backlight.mod.o: ddcci-backlight.mod.c

clean:
	rm $(obj-m) ddcci-backlight.mod.c ddcci-backlight.mod.o ddcci-backlight.ko modules.order Module.symvers .ddcci-backlight*.cmd .tmp_versions/ddcci-backlight.mod || true
	rmdir .tmp_versions 2>/dev/null || true

install: module ddcci-backlight.mod.o
	install -d "$(MODDIR)"
	install -m 644 ddcci-backlight.ko "$(MODDIR)/"
	depmod "$(KVER)"

uninstall:
	rm "$(MODDIR)"/ddcci-backlight.ko || true
	rmdir --ignore-fail-on-non-empty "$(MODDIR)"
	depmod "$(KVER)"

load: module
	insmod ddcci-backlight.ko

unload:
	! grep -q "^ddcci[_-]backlight " /proc/modules || rmmod ddcci-backlight


.PHONY: module clean install uninstall load unload install-dkms uninstall-dkms

=== ddcci/Makefile ===
#!/usr/bin/make -f
# (c) 2015 Christoph Grenz <christophg@grenz-bonn.de>
# This file is part of ddcci-bus-linux.
#
# ddcci-bus-linux is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 2 of the License, or
# (at your option) any later version.
#
# ddcci-bus-linux is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with ddcci-bus-linux.  If not, see <http://www.gnu.org/licenses/>.

MODULE_NAME := ddcci
MODULE_VERSION := 0.2

KVER := $(shell uname -r)
KERNEL_MODLIB := /lib/modules/$(KVER)
MODDIR := $(KERNEL_MODLIB)/extra
INCLUDEDIR := /usr/local/include
KDIR := /lib/modules/$(KVER)/build
PWD := $(shell pwd)

obj-m := ddcci.o

src ?= $(PWD)
obj ?= .
ccflags-y := -I$(src)/../include

module: ddcci.ko

ddcci.ko: ddcci.c
	$(MAKE) -C "$(KDIR)" SUBDIRS="$(src)" modules

ddcci.mod.c: ddcci.ko
ddcci.mod.o: ddcci.mod.c

clean:
	rm $(obj-m) ddcci.mod.c ddcci.mod.o ddcci.ko modules.order Module.symvers .ddcci*.cmd .tmp_versions/ddcci.mod || true
	rmdir .tmp_versions 2>/dev/null || true

install: module ddcci.mod.o
	install -d "$(MODDIR)"
	install -m 644 ddcci.ko "$(MODDIR)/"
	install -d "$(INCLUDEDIR)/linux/"
	install -m 644 ../include/linux/ddcci.h "$(INCLUDEDIR)/linux/"
	depmod "$(KVER)"

uninstall:
	rm "$(MODDIR)"/ddcci.ko || true
	rmdir --ignore-fail-on-non-empty "$(MODDIR)"
	rm "$(INCLUDEDIR)/linux/ddcci.h" || true
	rmdir --ignore-fail-on-non-empty "$(INCLUDEDIR)/linux"
	depmod "$(KVER)"

load: module
	insmod ddcci.ko

unload:
	! grep -q "^ddcci " /proc/modules || rmmod ddcci

.PHONY: module clean install uninstall load unload install-dkms uninstall-dkms

=== debian/changelog ===
ddcci-driver-linux (0.2-2) unstable; urgency=medium

  * Enforce the dependency between ddcci-backlight and ddcci at build-time
    so that Make can parallelize the build correctly; thanks to Colomban
    Wendling for describing the issue! Closes: #834638.

 -- Stephen Kitt <skitt@debian.org>  Wed, 17 Aug 2016 23:29:36 +0200

ddcci-driver-linux (0.2-1) unstable; urgency=low

  * Initial release. Closes: #834010.

 -- Stephen Kitt <skitt@debian.org>  Fri, 12 Aug 2016 23:07:43 +0200

## ddcci-driver-linux 0.3.1

=== ddcci-backlight/Makefile ===
--- 
+++ 
@@ -1,22 +1,22 @@
 #!/usr/bin/make -f
 # (c) 2015 Christoph Grenz <christophg@grenz-bonn.de>
-# This file is part of ddcci-bus-linux.
+# This file is part of ddcci-driver-linux.
 #
-# ddcci-bus-linux is free software: you can redistribute it and/or modify
+# ddcci-driver-linux is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation, either version 2 of the License, or
 # (at your option) any later version.
 #
-# ddcci-bus-linux is distributed in the hope that it will be useful,
+# ddcci-driver-linux is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with ddcci-bus-linux.  If not, see <http://www.gnu.org/licenses/>.
+# along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci-backlight
-MODULE_VERSION := 0.2
+MODULE_VERSION := 0.3.1
 
 KVER := $(shell uname -r)
 KERNEL_MODLIB := /lib/modules/$(KVER)

=== ddcci/Makefile ===
--- 
+++ 
@@ -1,22 +1,22 @@
 #!/usr/bin/make -f
 # (c) 2015 Christoph Grenz <christophg@grenz-bonn.de>
-# This file is part of ddcci-bus-linux.
+# This file is part of ddcci-driver-linux.
 #
-# ddcci-bus-linux is free software: you can redistribute it and/or modify
+# ddcci-driver-linux is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation, either version 2 of the License, or
 # (at your option) any later version.
 #
-# ddcci-bus-linux is distributed in the hope that it will be useful,
+# ddcci-driver-linux is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with ddcci-bus-linux.  If not, see <http://www.gnu.org/licenses/>.
+# along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci
-MODULE_VERSION := 0.2
+MODULE_VERSION := 0.3.1
 
 KVER := $(shell uname -r)
 KERNEL_MODLIB := /lib/modules/$(KVER)

=== debian/changelog ===
ddcci-driver-linux (0.3.1-2) unstable; urgency=medium

  * Move to the “kernel” section.
  * Update debian/copyright, in particular the format URI.
  * Switch to debhelper compatibility level 11.
  * Standards-Version 4.1.3, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Jan 2018 13:08:53 +0100

ddcci-driver-linux (0.3.1-1) unstable; urgency=medium

  * New upstream release, fixing the version numbers.

 -- Stephen Kitt <skitt@debian.org>  Thu, 22 Dec 2016 23:09:04 +0100

ddcci-driver-linux (0.3-1) unstable; urgency=medium

  * New upstream release, merging ddcci-backlight-dependency.patch.

 -- Stephen Kitt <skitt@debian.org>  Tue, 20 Dec 2016 23:21:15 +0100

=== debian/control ===
Source: ddcci-driver-linux
Maintainer: Stephen Kitt <skitt@debian.org>
Section: kernel
Priority: optional
Build-Depends: debhelper (>=11~),
               dkms
Standards-Version: 4.1.3
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ddcci-driver-linux.git
Vcs-Git: https://anonscm.debian.org/git/collab-maint/ddcci-driver-linux.git
Homepage: https://gitlab.com/ddcci-driver-linux/ddcci-driver-linux

Package: ddcci-dkms
Architecture: all
Depends: ${misc:Depends}
Description: DDC/CI driver
 This set of kernel modules provides a DDC/CI driver for compatible
 monitors, and integration into the backlight system class. With the
 latter, many desktop environments can control the backlight on
 external monitors.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE_NAME=$(shell grep PACKAGE_NAME= dkms.conf | cut -d= -f2 | cut -d\" -f2)
PACKAGE_VERSION=$(shell grep PACKAGE_VERSION= dkms.conf | cut -d= -f2 | cut -d\" -f2)
export PACKAGE_NAME PACKAGE_VERSION

%:
	dh $@ --with dkms

# Nothing to configure, build or auto-install (this all happens after
# installation using dkms)
override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_install:

=== debian/watch ===
version=3

opts=filenamemangle=s/.*\.tar\.gz\?ref=v?(\d\S*)/<project>-$1\.tar\.gz/g \
  https://gitlab.com/ddcci-driver-linux/ddcci-driver-linux/tags .*archive\.tar\.gz\?ref=v?(\d\S*)

## ddcci-driver-linux 0.3.2

=== ddcci-backlight/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci-backlight
-MODULE_VERSION := 0.3.1
+MODULE_VERSION := 0.3.2
 
 KVER := $(shell uname -r)
 KERNEL_MODLIB := /lib/modules/$(KVER)

=== ddcci/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci
-MODULE_VERSION := 0.3.1
+MODULE_VERSION := 0.3.2
 
 KVER := $(shell uname -r)
 KERNEL_MODLIB := /lib/modules/$(KVER)

=== debian/changelog ===
ddcci-driver-linux (0.3.2-1) unstable; urgency=medium

  * New upstream release.
  * Fix debian/watch to match the new GitLab tags page.
  * Set “Rules-Requires-Root: no”.
  * Standards-Version 4.2.1, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 10 Dec 2018 21:46:39 +0100

ddcci-driver-linux (0.3.1-3) unstable; urgency=medium

  * Migrate to Salsa.
  * Standards-Version 4.1.4, no further change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 30 Apr 2018 14:10:02 +0200

=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Priority: optional
 Build-Depends: debhelper (>=11~),
                dkms
-Standards-Version: 4.1.3
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/ddcci-driver-linux.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/ddcci-driver-linux.git
+Standards-Version: 4.2.1
+Vcs-Browser: https://salsa.debian.org/debian/ddcci-driver-linux
+Vcs-Git: https://salsa.debian.org/debian/ddcci-driver-linux.git
 Homepage: https://gitlab.com/ddcci-driver-linux/ddcci-driver-linux
+Rules-Requires-Root: no
 
 Package: ddcci-dkms
 Architecture: all

## ddcci-driver-linux 0.3.3

=== Makefile ===
--- 
+++ 
@@ -1,21 +1,23 @@
 #!/usr/bin/make -f
 # (c) 2015 Christoph Grenz <christophg@grenz-bonn.de>
-# This file is part of ddcci-bus-linux.
+# This file is part of ddcci-driver-linux.
 #
-# ddcci-bus-linux is free software: you can redistribute it and/or modify
+# ddcci-driver-linux is free software: you can redistribute it and/or modify
 # it under the terms of the GNU General Public License as published by
 # the Free Software Foundation, either version 2 of the License, or
 # (at your option) any later version.
 #
-# ddcci-bus-linux is distributed in the hope that it will be useful,
+# ddcci-driver-linux is distributed in the hope that it will be useful,
 # but WITHOUT ANY WARRANTY; without even the implied warranty of
 # MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 # GNU General Public License for more details.
 #
 # You should have received a copy of the GNU General Public License
-# along with ddcci-bus-linux. If not, see <http://www.gnu.org/licenses/>.
+# along with ddcci-driver-linux. If not, see <http://www.gnu.org/licenses/>.
 
 MODULES := ddcci ddcci-backlight
+
+ddcci-backlight: ddcci
 
 reverse = $(if $(1),$(call reverse,$(wordlist 2,$(words $(1)),$(1)))) $(firstword $(1))
 REVMODS := $(call reverse,$(MODULES))

=== ddcci-backlight/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci-backlight
-MODULE_VERSION := 0.3.2
+MODULE_VERSION := 0.3.3
 
 KVER := $(shell uname -r)
 KERNEL_MODLIB := /lib/modules/$(KVER)
@@ -34,7 +34,7 @@
 module: ddcci-backlight.ko
 
 ddcci-backlight.ko: ddcci-backlight.c
-	$(MAKE) -C "$(KDIR)" SUBDIRS="$(src)" modules
+	$(MAKE) -C "$(KDIR)" M="$(src)" modules
 
 ddcci-backlight.mod.c: ddcci-backlight.ko
 ddcci-backlight.mod.o: ddcci-backlight.mod.c

=== ddcci/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci
-MODULE_VERSION := 0.3.2
+MODULE_VERSION := 0.3.3
 
 KVER := $(shell uname -r)
 KERNEL_MODLIB := /lib/modules/$(KVER)
@@ -34,7 +34,7 @@
 module: ddcci.ko
 
 ddcci.ko: ddcci.c
-	$(MAKE) -C "$(KDIR)" SUBDIRS="$(src)" modules
+	$(MAKE) -C "$(KDIR)" M="$(src)" modules
 
 ddcci.mod.c: ddcci.ko
 ddcci.mod.o: ddcci.mod.c

=== debian/changelog ===
ddcci-driver-linux (0.3.3-1ubuntu0.1) focal; urgency=medium

  * Cherry-pick fix for failing to build from source on linux 5.15 from
    jammy. (LP: #1951608)

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Tue, 05 Apr 2022 16:19:23 +0100

ddcci-driver-linux (0.3.3-1) unstable; urgency=medium

  [ Paolo Pisati ]
  * Skip building if BACKLIGHT_CLASS_DEVICE is disabled (LP: #1837073)

  [ Stephen Kitt ]
  * New upstream release; drop
    0001-Fix-incorrect-check-on-null-pointer-after-a-kzalloc.patch, merged
    upstream.

 -- Stephen Kitt <skitt@debian.org>  Thu, 19 Sep 2019 08:38:03 +0200

ddcci-driver-linux (0.3.2-2) unstable; urgency=medium

  [ Colin Ian King ]
  * Fix incorrect check on null pointer after a kzalloc (LP: #1833578)
    - checking if pointer device is null rather than buffer.

  [ Stephen Kitt ]
  * Standards-Version 4.4.0, no change required.
  * Switch to debhelper compatibility level 12.

 -- Stephen Kitt <skitt@debian.org>  Mon, 15 Jul 2019 18:11:18 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,11 @@
 Source: ddcci-driver-linux
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: kernel
 Priority: optional
-Build-Depends: debhelper (>=11~),
+Build-Depends: debhelper-compat (= 12),
                dkms
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/debian/ddcci-driver-linux
 Vcs-Git: https://salsa.debian.org/debian/ddcci-driver-linux.git
 Homepage: https://gitlab.com/ddcci-driver-linux/ddcci-driver-linux

## ddcci-driver-linux 0.4.1

=== ddcci-backlight/Makefile ===
--- 
+++ 
@@ -16,12 +16,13 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci-backlight
-MODULE_VERSION := 0.3.3
+MODULE_VERSION := 0.4.1
 
 KVER := $(shell uname -r)
-KERNEL_MODLIB := /lib/modules/$(KVER)
+LIB_MODULES_PATH := /lib/modules
+KERNEL_MODLIB := $(LIB_MODULES_PATH)/$(KVER)
 MODDIR := $(KERNEL_MODLIB)/extra
-KDIR := /lib/modules/$(KVER)/build
+KDIR := $(KERNEL_MODLIB)/build
 PWD := $(shell pwd)
 
 obj-m := ddcci-backlight.o

=== ddcci/Makefile ===
--- 
+++ 
@@ -16,13 +16,14 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci
-MODULE_VERSION := 0.3.3
+MODULE_VERSION := 0.4.1
 
 KVER := $(shell uname -r)
-KERNEL_MODLIB := /lib/modules/$(KVER)
+LIB_MODULES_PATH := /lib/modules
+KERNEL_MODLIB := $(LIB_MODULES_PATH)/$(KVER)
 MODDIR := $(KERNEL_MODLIB)/extra
 INCLUDEDIR := /usr/local/include
-KDIR := /lib/modules/$(KVER)/build
+KDIR := $(KERNEL_MODLIB)/build
 PWD := $(shell pwd)
 
 obj-m := ddcci.o

=== debian/changelog ===
ddcci-driver-linux (0.4.1-3ubuntu4) jammy; urgency=medium

  * Support Linux 6.8 ABI (LP: #2069710):
    - debian/patches/Linux-6.8-support.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 21 Jun 2024 06:58:27 +0000

ddcci-driver-linux (0.4.1-3ubuntu3) jammy; urgency=medium

  * Support Linux 6.5 (LP: #2041655):
    - debian/patches/linux-6.3.patch
    - debian/patches/linux-6.5.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Fri, 27 Oct 2023 12:12:00 +0000

ddcci-driver-linux (0.4.1-3ubuntu2) jammy; urgency=medium

  * Support Linux 6.2 (LP: #2023293):
    - debian/patches/skip-if-no-config-i2c.patch
    - debian/patches/linux-6.1.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Thu, 08 Jun 2023 12:47:03 +0000

ddcci-driver-linux (0.4.1-3ubuntu1) jammy; urgency=medium

  [ Andrea Righi ]
  * Fix build error on linux 5.15 (LP: #1951608)
    - debian/patches/0010-fix-build-error-with-linux-5.15.patch

  [ Dimitri John Ledkov ]
  * Drop the Debian's patch in favor of a better upstream patch
    cherrypicked by Andrea.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Thu, 25 Nov 2021 15:33:56 +0000

ddcci-driver-linux (0.4.1-3) unstable; urgency=medium

  * Handle all returns in the 5.15 patch. Really closes: #1000357.

 -- Stephen Kitt <skitt@debian.org>  Wed, 24 Nov 2021 15:44:06 +0100

ddcci-driver-linux (0.4.1-2) unstable; urgency=medium

  * Adjust to build with kernel 5.15. Closes: #1000357.

 -- Stephen Kitt <skitt@debian.org>  Mon, 22 Nov 2021 18:24:42 +0100

ddcci-driver-linux (0.4.1-1) unstable; urgency=low

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Stephen Kitt ]
  * New upstream release.
  * Switch to debhelper compatibility level 13.
  * Standards-Version 4.6.0, no change required.

 -- Stephen Kitt <skitt@debian.org>  Wed, 01 Sep 2021 17:29:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: kernel
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dkms
-Standards-Version: 4.4.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/debian/ddcci-driver-linux
 Vcs-Git: https://salsa.debian.org/debian/ddcci-driver-linux.git
 Homepage: https://gitlab.com/ddcci-driver-linux/ddcci-driver-linux

## ddcci-driver-linux 0.4.2

=== ddcci-backlight/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci-backlight
-MODULE_VERSION := 0.4.1
+MODULE_VERSION := 0.4.2
 
 KVER := $(shell uname -r)
 LIB_MODULES_PATH := /lib/modules

=== ddcci/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci
-MODULE_VERSION := 0.4.1
+MODULE_VERSION := 0.4.2
 
 KVER := $(shell uname -r)
 LIB_MODULES_PATH := /lib/modules

=== debian/changelog ===
ddcci-driver-linux (0.4.2-4) unstable; urgency=medium

  * Add upstream candidate patch to build with version 6.1 and later of
    the kernel. Closes: #1028258.
  * Standards-Version 4.6.2, no change required.

 -- Stephen Kitt <skitt@debian.org>  Mon, 09 Jan 2023 18:31:42 +0100

ddcci-driver-linux (0.4.2-3) unstable; urgency=medium

  * Skip the build if CONFIG_I2C is disabled.

 -- Stephen Kitt <skitt@debian.org>  Wed, 22 Jun 2022 13:27:20 +0200

ddcci-driver-linux (0.4.2-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * Switch to dh-sequence-dkms.
  * Declare Testsuite: autopkgtest-pkg-dkms.

  [ Stephen Kitt ]
  * Standards-Version 4.6.1, no change required.

 -- Stephen Kitt <skitt@debian.org>  Sun, 05 Jun 2022 20:52:01 +0200

ddcci-driver-linux (0.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Sat, 04 Dec 2021 09:42:38 +0100

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,15 @@
 Source: ddcci-driver-linux
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Stephen Kitt <skitt@debian.org>
 Section: kernel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dkms
-Standards-Version: 4.6.0
+               dh-sequence-dkms,
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/debian/ddcci-driver-linux
 Vcs-Git: https://salsa.debian.org/debian/ddcci-driver-linux.git
 Homepage: https://gitlab.com/ddcci-driver-linux/ddcci-driver-linux
 Rules-Requires-Root: no
+Testsuite: autopkgtest-pkg-dkms
 
 Package: ddcci-dkms
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 export PACKAGE_NAME PACKAGE_VERSION
 
 %:
-	dh $@ --with dkms
+	dh $@
 
 # Nothing to configure, build or auto-install (this all happens after
 # installation using dkms)

## ddcci-driver-linux 0.4.3

=== ddcci-backlight/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci-backlight
-MODULE_VERSION := 0.4.2
+MODULE_VERSION := 0.4.3
 
 KVER := $(shell uname -r)
 LIB_MODULES_PATH := /lib/modules

=== ddcci/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci
-MODULE_VERSION := 0.4.2
+MODULE_VERSION := 0.4.3
 
 KVER := $(shell uname -r)
 LIB_MODULES_PATH := /lib/modules

=== debian/changelog ===
ddcci-driver-linux (0.4.3-2) unstable; urgency=medium

  * Add upstream candidate patches to build with versions 6.2, 6.3, and
    6.4 of the kernel. Closes: #1037974.

 -- Stephen Kitt <skitt@debian.org>  Thu, 15 Jun 2023 13:14:45 +0200

ddcci-driver-linux (0.4.3-1) unstable; urgency=medium

  * New upstream release, merging linux-6.1.patch.

 -- Stephen Kitt <skitt@debian.org>  Mon, 12 Jun 2023 05:56:37 +0200

## ddcci-driver-linux 0.4.4

=== ddcci-backlight/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci-backlight
-MODULE_VERSION := 0.4.3
+MODULE_VERSION := 0.4.4
 
 KVER := $(shell uname -r)
 LIB_MODULES_PATH := /lib/modules

=== ddcci/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci
-MODULE_VERSION := 0.4.3
+MODULE_VERSION := 0.4.4
 
 KVER := $(shell uname -r)
 LIB_MODULES_PATH := /lib/modules

=== debian/changelog ===
ddcci-driver-linux (0.4.4-1ubuntu1.1) noble; urgency=medium

  * Support Linux 6.11 (LP: #2091294)
    - Adjust-to-backlight-changes-in-Linux-6.10.patch
    - UBUNTU-SAUCE-linux-6.11-have-match-callback-in-struct-bus_type-take-a-const.patch

 -- Massimiliano Pellizzer <massimiliano.pellizzer@canonical.com>  Mon, 09 Dec 2024 13:43:41 +0100

ddcci-driver-linux (0.4.4-1ubuntu1) noble; urgency=medium

  * Linux 6.8 support 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 13 Mar 2024 10:54:03 +0000

ddcci-driver-linux (0.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Stephen Kitt <skitt@debian.org>  Wed, 30 Aug 2023 08:51:11 +0200

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: ddcci-driver-linux
-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
 Section: kernel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),

## ddcci-driver-linux 0.4.5

=== ddcci-backlight/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci-backlight
-MODULE_VERSION := 0.4.4
+MODULE_VERSION := 0.4.5
 
 KVER := $(shell uname -r)
 LIB_MODULES_PATH := /lib/modules

=== ddcci/Makefile ===
--- 
+++ 
@@ -16,7 +16,7 @@
 # along with ddcci-driver-linux.  If not, see <http://www.gnu.org/licenses/>.
 
 MODULE_NAME := ddcci
-MODULE_VERSION := 0.4.4
+MODULE_VERSION := 0.4.5
 
 KVER := $(shell uname -r)
 LIB_MODULES_PATH := /lib/modules

=== debian/changelog ===
ddcci-driver-linux (0.4.5-1) unstable; urgency=medium

  * QA upload.
  * New upstream release.
  * Refresh patches.
  * Update watch file.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 11 Feb 2025 02:51:42 +0100

ddcci-driver-linux (0.4.4-3) unstable; urgency=medium

  * QA upload.
  * dkms.conf: Use BUILD_EXCLUSIVE_CONFIG="CONFIG_BACKLIGHT_CLASS_DEVICE
    CONFIG_I2C" to avoid building the module on unsupported kernels.
  * dkms.conf: Declare BUILD_EXCLUSIVE_KERNEL_MIN="4".
  * Cherry-pick (proposed) upstream patches that fix building the module for
    Linux 6.8, 6.10, 6.11.  (Closes: #1077212)
  * Standards-Version 4.7.0, no change required.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 30 Sep 2024 09:25:45 +0200

ddcci-driver-linux (0.4.4-2) unstable; urgency=medium

  * Import upstream patch to build on 6.8. The resulting module doesn’t
    work for me but it apparently does for some users. Closes: #1071293.
  * Orphan the package, it’s not worth the aggro. See #1076575.

 -- Stephen Kitt <skitt@debian.org>  Fri, 19 Jul 2024 10:03:32 +0200

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: ddcci-driver-linux
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Stephen Kitt <skitt@debian.org>
+Maintainer: Debian QA Group <packages@qa.debian.org>
 Section: kernel
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-dkms,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/debian/ddcci-driver-linux
 Vcs-Git: https://salsa.debian.org/debian/ddcci-driver-linux.git
 Homepage: https://gitlab.com/ddcci-driver-linux/ddcci-driver-linux

=== debian/watch ===
version=4

opts="downloadurlmangle=s%tags/(@ANY_VERSION@)%archive/$1/@PACKAGE@-$1.tar.gz%g" \
https://gitlab.com/@PACKAGE@/@PACKAGE@/-/tags .*/tags/@ANY_VERSION@
